<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dataset_table61', function (Blueprint $table) {
            $table->id('DatasetTable61Id');
            $table->integer('dataset_id');
            $table->string('lokasi')->nullable();
            $table->text('inovasi')->nullable();
            $table->text('deskripsi_inovasi')->nullable();
            $table->text('dasar_hukum_inovasi')->nullable();
            $table->integer('created_by');
            $table->timestampsTz();
            $table->softdeletesTz();

            $table->foreign('dataset_id')->references('DatasetId')->on('dataset')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dataset_table61s');
    }
};
